A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< unsigned char > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = u8 , ctype = f32 }
typedef unsigned char | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 114 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef unsigned char base_type

Definition at line 119 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 115 of file traits.hpp.

115 {
116 af_type = u8 ,
117 ctype = f32
118 };
f32
@ f32
32-bit floating point values
Definition defines.h:211
u8
@ u8
8-bit unsigned integral values
Definition defines.h:218
af::dtype_traits< unsigned char >::af_type
@ af_type
Definition traits.hpp:116
af::dtype_traits< unsigned char >::ctype
@ ctype
Definition traits.hpp:117

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 120 of file traits.hpp.

120{ return "uchar"; }

The documentation for this struct was generated from the following file:

- traits.hpp